Description

We import ldap groups and assign them to projects which represents our enterpise departments as we have also ldap groups for

them. This departments groups always have a department role, so that people in same department have special and more rights in

their department and the children projects wwhich represent the projects. Here this groups also have the department role.

Furthermore we only use private projetcs and have groups from other departments joining each other as reporter role. This whole

groups > role >department/project setting is done by admins and shouldn't be chnaged by projetc managers, means the rights must

stay even if project manager has right to manage users in his project.

At the moment if a user has manage project users rights he can remove set groups/users set in his project by admin before. That

right shall be able to deactivate or the other way round a project manager shall be only able to add additional users and user rights

for admin side added users which act als additive rights. This approach could e.g be needed to extend product project with external

ressoucres (other departments or outsourced people)

Related issues:

Related to Redmine - Feature #8979: Ability to activate a new member for a Pr... New 2011-08-03

Related to Redmine - Feature #9878: New permission to acces all informations ... New 2011-12-01 2012-01-31

History

#1 - 2011-12-27 10:52 - Jérôme BATAILLE

I'm not sure to understand your real need, but it seems that this is related to the feature I propose :

http://www.redmine.org/issues/9878

#2 - 2012-01-03 10:22 - Etienne Massip

- Subject changed from additive user managment for project managers to Additive user management for project managers

Typo.

#3 - 2012-07-18 23:50 - Terence Mill

related to #7980 Feature "New user management permissions: add own member, change role own meber, delete own member"
